
// POV file by Andrew Cherry

#declare c=clock
#declare QUICK=0

#debug "\n+----------------------------------------------+\n"
#debug concat("| ANIMATION SEQUENCE IS",str((clock*100),6,2)," PERCENT FINISHED |                 <-- AC")
#debug "\n+----------------------------------------------+\n"
#if (clock>0) #debug concat("\nTIME REMAINING: ",str(((1/clock)-1),6,1)," x E-TIME\n\n") #end

#declare R1=seed(666)

#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "CONSTS.INC"
#include "GLASS.INC"
#include "SKIES.INC"
#include "METALS.INC"
#include "SHAPES.INC"   // These aren't normally necessary
#include "SHAPES2.INC"
#include "SHAPESQ.INC"
#include "STONES.INC"
#include "STONES2.INC"
#include "WOODMAPS.INC"
#include "WOODS.INC"

camera { location  <50 , 7 ,-40> look_at   <0 , 2, 0> }
light_source { <50,7,-40> color White/2 }

// camera { location  <0 , 400 ,-1> look_at   <0 , 2, 0> }
//light_source { <0,400,-1> color White }

//-----------------------------------------------------------------------------------------------------------------------------
#declare TABLE = box {<-34,2,-64><34,-36,64> pigment {Blue} }
//-----------------------------------------------------------------------------------------------------------------------------

#object {TABLE rotate <0, 0,0> translate < 120,0,   0>}
#object {TABLE rotate <0, 0,0> translate <-120,0,   0>}
#object {TABLE rotate <0,90,0> translate <  90,0, 150>}
#object {TABLE rotate <0,90,0> translate < -90,0, 150>}
#object {TABLE rotate <0,90,0> translate < -90,0,-150>}

#declare TLITEON=0
#include "TLITE.INC"
#object {TLITE rotate <0, 0,0> translate < 120,0,   0>}
#object {TLITE rotate <0, 0,0> translate <-120,0,   0>}
#object {TLITE rotate <0,90,0> translate <  90,0, 150>}
#object {TLITE rotate <0,90,0> translate < -90,0, 150>}
#object {TLITE rotate <0,90,0> translate < -90,0,-150>}

//-----------------------------------------------------------------------------------------------------------------------------

#declare CarpetColor=rgb <170/255,124/255,108/255>
#declare CarpetFin=finish {phong 0 specular .001}
#declare CarpetTex =
texture {
 pigment {CarpetColor}
 finish {CarpetFin}
 normal {bozo .25 frequency 2 turbulence .25 scale .1}
}
texture {
 pigment {CarpetColor filter .5}
 finish {CarpetFin}
 normal {quilted .75 turbulence .05 scale .5}
 rotate <0,45,0>
 scale <1,1,2>*1.5
 rotate <0,-45,0>
}

box { <-192,-36,-222>  <192,-35.99,222> texture { CarpetTex } } // CARPET

#declare AcousticTile =
texture { pigment {rgb .5} normal {dents 5 scale .01} }
texture { pigment {rgb .625 filter .8} normal {dents 5 scale .1} }
texture { pigment {rgb .75 filter .9} normal {dents 5} }
texture { pigment { image_map {
  gif "ACUTILE.gif"
  map_type 0
  interpolate 0
  transmit 1/15 .75
  transmit 0 1
  filter 1/15 .75
  filter 0 1
} scale <3,2,1>*12 rotate <90,0,0> } }

box { <-331,50,-241> <211,48,241> texture {AcousticTile} } // CEILING

#declare WallTex=
texture { pigment {Black} }
texture { pigment { wood turbulence 0.075 color_map {
      [0.00 color rgb<0.576, 0.447, 0.227> filter .5]
      [0.34 color rgb<0.647, 0.447, 0.247> filter .5]
      [0.40 color rgb<0.329, 0.227, 0.129> filter .5]
      [0.47 color rgb<0.600, 0.400, 0.200> filter .5]
      [1.00 color rgb<0.247, 0.149, 0.047> filter .5]
    }
  }
  normal { bumps 0.05 }
  finish { ambient 0.32 diffuse 0.63 phong 0.2 phong_size 10 }
  rotate <70.0, 0.0, 0.0> }
texture { pigment { bozo color_map {
      [0.00 color rgbf<1.000, 1.000, 1.000, 1.000>]
      [0.80 color rgbf<1.000, 0.898, 0.800, 0.800>]
      [1.00 color rgbf<0.298, 0.200, 0.098, 0.400>]
    } scale <0.25, 0.25, 0.25> } }

// BACK WALL
#declare X2=-331
#while (X2<211)
#declare X1=X2
#declare X2=X2+int(rand(R1)*36)/2
box { <X1,49,241> <X2,-37,239.8> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2+.25
box { <X1,49,241> <X2,-37,240> pigment {Black} }
#end
// FRONT WALL
#declare X2=-211
#while (X2<211)
#declare X1=X2
#declare X2=X2+int(rand(R1)*36)/2
box { <X1,49,-241> <X2,-37,-239.8> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2+.25
box { <X1,49,-241> <X2,-37,-240> pigment {Black} }
#end
// LEFT WALL
#declare X2=-241
#while (X2<241)
#declare X1=X2
#declare X2=X2+int(rand(R1)*36)/2
box { <211,49,X1> <209.8,-37,X2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2+.25
box { <211,49,X1> <210,-37,X2> pigment {Black} }
#end
// RIGHT WALL
#declare X2=204
#while (X2>-241)
#declare X1=X2
#declare X2=X2-int(rand(R1)*36)/2
box { <-211,49,X1> <-209.8,-37,X2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2-.25
box { <-211,49,X1> <-210,-37,X2> pigment {Black} }
#end
// BATHROOM FRONT WALL
#declare X2=-210
#while (X2>-330)
#declare X1=X2
#declare X2=X2-int(rand(R1)*36)/2
box { <X1,49,143> <X2,-37,144.2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2-.25
box { <X1,49,143> <X2,-37,144> pigment {Black} }
#end
// BATHROOM RIGHT WALL
#declare X2=241
#while (X2>143)
#declare X1=X2
#declare X2=X2-int(rand(R1)*36)/2
box { <-331,49,X1> <-329.8,-37,X2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2-.25
box { <-331,49,X1> <-330,-37,X2> pigment {Black} }
#end
// BATHROOM DIVIDERS WALL
#declare X2=204
#while (X2>143)
#declare X1=X2
#declare X2=X2-int(rand(R1)*36)/2
box { <-259.2,49,X1> <-257.8,-37,X2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2-.25
box { <-259,49,X1> <-258,-37,X2> pigment {Black} }
#end
// BATHROOM DIVIDERS WALL
#declare X2=204
#while (X2>143)
#declare X1=X2
#declare X2=X2-int(rand(R1)*36)/2
box { <-307.2,49,X1> <-305.8,-37,X2> texture {WallTex scale .5 rotate <rand(R1)*360,rand(R1)*360,rand(R1)*360> } }
#declare X1=X2
#declare X2=X2-.25
box { <-307,49,X1> <-306,-37,X2> pigment {Black} }
#end

//-----------------------------------------------------------------------------------------------------------------------------

#include "SIGN-BEER.INC"
//#object {BEERSIGN translate <0,0,0>}
